import request from '@/utils/request'

// 查询羊只品种列表
export function listVariety(query) {
  return request({
    url: '/base/variety/list',
    method: 'get',
    params: query
  })
}

// 查询羊只品种详细
export function getVariety(id) {
  return request({
    url: '/base/variety/' + id,
    method: 'get'
  })
}

// 新增羊只品种
export function addVariety(data) {
  return request({
    url: '/base/variety',
    method: 'post',
    data: data
  })
}

// 修改羊只品种
export function updateVariety(data) {
  return request({
    url: '/base/variety',
    method: 'put',
    data: data
  })
}

// 删除羊只品种
export function delVariety(id) {
  return request({
    url: '/base/variety/' + id,
    method: 'delete'
  })
}
